> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_index_chart_data

> Returns historical price index chart data for the specified index name and time range. The data is formatted for use in charting applications and shows price index values over time.

Use the `range` parameter to specify the time period for which to retrieve chart data. This method is useful for visualizing price index trends and historical movements.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_chart_data)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_index_chart_data
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_index_chart_data:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Returns historical price index chart data for the specified index name
        and time range. The data is formatted for use in charting applications
        and shows price index values over time.


        Use the `range` parameter to specify the time period for which to
        retrieve chart data. This method is useful for visualizing price index
        trends and historical movements.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_chart_data)

      parameters:
        - description: Index identifier, matches (base) cryptocurrency with quote currency
          in: query
          name: index_name
          required: true
          schema:
            $ref: '#/components/schemas/index_name'
        - description: Range of the data to return
          in: query
          name: range
          required: true
          schema:
            enum:
              - 1h
              - 1d
              - 2d
              - 1m
              - 1y
              - all
            type: string
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: public/get_index_chart_data
                  params:
                    index_name: btc_usd
                    range: 1m
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetIndexChartDataResponse'
components:
  schemas:
    index_name:
      description: Index identifier, matches (base) cryptocurrency with quote currency
      enum:
        - btc_usd
        - eth_usd
        - ada_usdc
        - algo_usdc
        - avax_usdc
        - bch_usdc
        - bnb_usdc
        - btc_usdc
        - btcdvol_usdc
        - buidl_usdc
        - doge_usdc
        - dot_usdc
        - eurr_usdc
        - eth_usdc
        - ethdvol_usdc
        - link_usdc
        - ltc_usdc
        - near_usdc
        - paxg_usdc
        - shib_usdc
        - sol_usdc
        - steth_usdc
        - ton_usdc
        - trump_usdc
        - trx_usdc
        - uni_usdc
        - usde_usdc
        - usyc_usdc
        - xrp_usdc
        - btc_usdt
        - eth_usdt
        - eurr_usdt
        - sol_usdt
        - steth_usdt
        - usdc_usdt
        - usde_usdt
        - btc_eurr
        - btc_usde
        - btc_usyc
        - eth_btc
        - eth_eurr
        - eth_usde
        - eth_usyc
        - steth_eth
        - paxg_btc
        - drbfix-btc_usdc
        - drbfix-eth_usdc
      type: string
    PublicGetIndexChartDataResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          description: >
            **Response:**

            The response returns an array of data points, where each data point
            is an array containing:


            - **Index 0**: Timestamp in milliseconds since the Unix epoch

            - **Index 1**: Average index price at that timestamp


            Example response structure:

            ```json

            [
             [1573228800000, 8751.7138636],
             [1573232400000, 8751.7138636],
             [1573236000000, 8751.7138636]
            ]

            ```


            Each entry in the result array represents a single data point:


            - The first value (timestamp) indicates when the price was recorded

            - The second value (price) is the average index price at that
            timestamp


            The data points are returned in chronological order, making them
            ready for direct use in charting libraries.
          type: array
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetIndexChartDataResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 1
                jsonrpc: '2.0'
                result:
                  - - 1573228800000
                    - 8751.7138636
                  - - 1573232400000
                    - 8751.7138636
                  - - 1573236000000
                    - 8751.7138636
                  - - 1573239600000
                    - 8751.7138636
                  - - 1573243200000
                    - 8751.7138636
          schema:
            $ref: '#/components/schemas/PublicGetIndexChartDataResponse'
      description: Success response

````